%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/jsimonetti/pwscheme
%global commit          4d9895f5db7375ad676d2d1475602235229e2985

%gometa

%global common_description %{expand:
Golang packages defining different password schemes.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Golang packages defining different password schemes

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
